SystemOrganization addCategory: #ScriptLoader!

!MCWorkingCopy methodsFor: '*ScriptLoader' stamp: 'sd 3/24/2008 17:13'!
theCachedRepository

	^ MCCacheRepository default! !

!MCVersionLoader methodsFor: '*ScriptLoader' stamp: 'sd 3/16/2008 08:53'!
hasVersions

	^ versions isEmpty not! !

Object subclass: #ScriptLoader
	instanceVariableNames: 'repository inboxRepository packagesNotToSavePatternNames'
	classVariableNames: 'InboxRepository PackagesBeforeLastLoad Repository'
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoader commentStamp: 'stephane.ducasse 6/30/2008 14:57' prior: 0!
I'm a  class that is used to load packages to create release.
Now I'm can log my changes.
I can generate automatically update and scripts methods from dirty packages (#compileNewUpdateMethod)


- loadLatestScriptloader loads the latest version of the scritploader from the pharo repository.
	Sometimes scriptloader versions are there but have not been pushed as updates items. So this is important to check them.
	
- ScriptLoader new !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 21:03'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^MCWaitingFolder ifNil: [MCWaitingFolder := MCDirectoryRepository new directory: self waitingCacheFolder]! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository

	^ InboxRepository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository: aRepository

	InboxRepository := aRepository! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 6/14/2008 15:18'!
loadOB
	"self loadOB"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
	
	instClass ss
		project: 'AST';
		install: 'AST-lr.158'.
	instClass ss
		project: 'RefactoringEngine';
		install: 'RefactoringEngine-md.48'.


	instClass wiresong
		project: 'ob';
		install: 'OmniBrowser-dr.408'.
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Morphic-dr.47'.
		
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Standard-cb.335'.
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Enhancements-dr.174'.

	instClass wiresong
		project: 'ob';	
		install: 'OB-Refactory-lr.85'.
		
	instClass wiresong
		project: 'ob';	
		install: 'OB-SUnitIntegration-dc.9'.
		

		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 6/25/2008 10:38'!
loadShout
	"self loadShout"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
		
	instClass ss
		project: 'shout';
		install: 'Shout.3.15-tween.72'.
	
	instClass ss
		project: 'shout';
		install: 'ShoutWorkspace.1-tween.2'.
		
	instClass ss
		project: 'shout';
		install: 'ShoutOmniBrowser-dc.5.mcz'
		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 5/24/2008 17:05'!
loadTools
	
	Preferences  setPreference: #swapMouseButtons toValue: true.
	self loadOB.
	self loadShout.
	! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository

	^ Repository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository: aRepository

	Repository := aRepository! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
waitingCacheFolder
	
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
			assureExistence;
			yourself

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:10'!
addHomeRepositoryToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addHomeRepositoryToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:40'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:01'!
addPackagesNotToSave: aMatchingString 
	packagesNotToSavePatternNames add: aMatchingString! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 10/31/2005 18:01'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentDirtyPackages
	"ScriptLoader new allCurrentDirtyPackages"
	"return all the current dirty packages even the ones that we do not want to save"

	
	^  self allCurrentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentPackages
	"ScriptLoader new allCurrentPackages" 
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:16'!
allCurrentVersions
	"ScriptLoader new allCurrentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'from bert' stamp: 'stephaneducasse 10/28/2005 19:57'!
bertLoadOneAfterTheOther: aCollection merge: aBoolean
 
	^ (self configurationFrom: aCollection) upgrade! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:45'!
cleanUpChanges
	"Clean up the change sets"
	"self new cleanUpChanges"
	
	| projectChangeSetNames |
	"Delete all changesets except those currently used by existing projects."
	projectChangeSetNames := Project allSubInstances collect: [:proj | proj changeSet name].
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs | (projectChangeSetNames includes: cs) not].
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
cleanUpEtoys
	"self new cleanUpEtoys"

	StandardScriptingSystem removeUnreferencedPlayers.

	(self confirm: 'Remove all projects and players?')
		ifFalse: [^self].
	Project removeAllButCurrent.

	#('Morphic-UserObjects' 'EToy-UserObjects' 'Morphic-Imported' )
		do: [:each | SystemOrganization removeSystemCategory: each].
		
	Smalltalk
		at: #Player
		ifPresent: [:superCls | superCls
				allSubclassesDo: [:cls | 
					cls isSystemDefined
						ifFalse: [cls removeFromSystem].
					cls := nil]].! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 7/27/2006 15:27'!
cleanUpMethods
	"Make sure that all methods in use are restarted"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo:[:x| x noteNewMethod: nil].
	Delay startTimerInterruptWatcher.
	WorldState allInstancesDo:[:ws| ws convertAlarms; convertStepList].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	Vocabulary initialize.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.

	self assert: (CompiledMethod allInstances
	reject:[:cm| cm hasNewPropertyFormat]) isEmpty.! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 9/8/2006 20:59'!
cleaningCS
	"self new cleaningCS" 
	 
	ChangeSorter removeChangeSetsNamedSuchThat: [:each | true].
	ChangeSet resetCurrentToNewUnnamedChangeSet ! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:32'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self generateNewUpdateMethod)
		classified: 'pharo - updates'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:38'!
compileScriptMethodWithCurrentPackages: aNumber 
	"ScriptLoader new compileScriptMethodWithCurrentPackages: 9999"
	
	self class compile: 
		(self generateScriptTemplateWithCurrentPackages: aNumber)
		classified: 'pharo - scripts'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:51'!
compileScriptMethodXXXWithCurrentPackages
	"ScriptLoader new compileScriptMethodXXXWithCurrentPackages"
	
	self class compile: self generateScriptTemplateWithCurrentPackages classified: 'sapphire - scripts'! !

!ScriptLoader methodsFor: 'from bert' stamp: 'md 8/10/2006 12:18'!
configurationFrom: aCollection

	| spec | 
	spec := Array streamContents: [:s |
         s nextPut: #repository; nextPut: {self repository description}.
         aCollection do: [:ea | | pkg ver id |
             pkg := ea copyUpToLast: $- .
             ver := ea copyUpToLast: $. .
             id := UUID nilUUID asString.
             s nextPut: #dependency; nextPut: {pkg . ver . id}]].
    ^MCConfiguration fromArray: spec.! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
copyPackageFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	| version |
	self waitingFolderMCZFiles do: [ :name |
		version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
		self repository storeVersion: version.
		]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 17:11'!
currentDirtyPackages
	"ScriptLoader new currentDirtyPackages" 
	
	^  self currentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:22'!
currentPackages
	"ScriptLoader new currentPackages" 
	
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies reject: [:each | packagesNotToSavePatternNames anySatisfy: [ :p | p match: each package name]].
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 5/29/2006 20:52'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:18'!
currentVersionsToBeSaved
	"ScriptLoader new currentVersionsToBeSaved"
	
	^ self allCurrentVersions reject: [ :each | packagesNotToSavePatternNames anySatisfy: [ :p | p match: each ] ]! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:18'!
diffPackages
	"return a list of packages that are new. They can be dirty or not."
	"self new diffPackages"
	
	| diff |
	diff := Set new.
	self currentVersionsToBeSaved
		do: [:each |  (PackagesBeforeLastLoad includes: each)
						ifFalse: [diff add: each]].
	^ diff
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
finalCleanup
	"self new finalCleanup"

	Smalltalk forgetDoIts.
	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	"The pointer to currentMethod is not realy needed (anybody care to fix this) and often holds on to obsolete bindings"
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	self cleanUpEtoys.
	SmalltalkImage current fixObsoleteReferences.
	Smalltalk flushClassNameCache.
	SystemOrganization removeEmptyCategories.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
	
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/16/2006 14:58'!
fixObsoleteReferences
	"self new fixObsoleteReferences"

	| informee obsoleteBindings obsName realName realClass |
	Preference allInstances do: [:each | 
		informee := each instVarNamed: #changeInformee.
		((informee isKindOf: Behavior)
			and: [informee isObsolete])
			ifTrue: [
				Transcript show: each name; cr.
				each instVarNamed: #changeInformee put: (Smalltalk at: (informee name copyReplaceAll: 'AnObsolete' with: '') asSymbol)]].
 
	CompiledMethod allInstances do: [:method |
		obsoleteBindings := method literals select: [:literal |
			literal isVariableBinding
				and: [literal value isBehavior]
				and: [literal value isObsolete]].
		obsoleteBindings do: [:binding |
			obsName := binding value name.
			Transcript show: obsName; cr.
			realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
			realClass := Smalltalk at: realName asSymbol ifAbsent: [UndefinedObject].
			binding isSpecialWriteBinding
				ifTrue: [binding privateSetKey: binding key value: realClass]
				ifFalse: [binding key: binding key value: realClass]]].


	Behavior flushObsoleteSubclasses.
	Smalltalk garbageCollect; garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [SystemNavigation default obsoleteBehaviors inspect]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 8/2/2006 18:12'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:37'!
generateCS: extensionAndNumber fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''http://www.squeaksource.com/Pharo/''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: 'ScriptLoader', extensionAndNumber, '.mcz'') load.'; cr.
	st nextPutAll: 'ScriptLoader new update', (updateNumber-1) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:36'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', (self getLatestUpdateNumber + 1) asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"' ; cr ; cr ;tab.
	str nextPutAll: 'self withUpdateLog:' ; nextPut:$'; nextPut: $'; nextPut: $. .
	str cr.
	str nextPutAll: '	self script' , self getLatestScriptNumber asString, '.'.
	str nextPutAll: '
	self flushCaches.
	'.
	
	^ str contents! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 11:16'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/30/2008 15:19'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersionsToBeSaved do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | (each asString last: 5) asNumber].
	^ upfroms asSortedCollection last! !

!ScriptLoader methodsFor: 'accessing' stamp: 'NorbertHartl 6/13/2008 11:43'!
inboxRepository

	InboxRepository ifNil: 
			[InboxRepository :=  (MCHttpRepository new 
										location: 'http://www.squeaksource.com/PharoInbox/';
										user: '';
										password: '')].
	^ InboxRepository
	
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'alain.plantec 6/10/2008 21:57'!
initialCleanup
	"Perform various image cleanups in preparation for making a Squeak gamma release candidate image."
	"self new initialCleanup"
	
	Undeclared removeUnreferencedKeys.
	StandardScriptingSystem initialize.
	self resetToolSet.
	AppRegistry removeObsolete.
	FileServices removeObsolete. 

	(Object classPool at: #DependentsFields) size > 1 ifTrue: [self error:'Still have dependents'].
	Undeclared isEmpty ifFalse: [self error:'Please clean out Undeclared'].

	Smalltalk at: #Browser ifPresent:[:br| br initialize].
	ScriptingSystem deletePrivateGraphics.  "?"
	 
	self cleanUpChanges.
	ChangeSet current clear.
	ChangeSet current name: 'Unnamed'. 
	Smalltalk garbageCollect.
 
	"Reinitialize DataStream; it may hold on to some zapped entitities"
	DataStream initialize. 

	Smalltalk garbageCollect.
	
	"SMSqueakMap default purge.  does not work"
	
! !

!ScriptLoader methodsFor: 'initialize' stamp: 'stephane.ducasse 6/30/2008 15:23'!
initialize
	super initialize.
	self packagesNotToSavePatternNames: #(
			'*ScriptLoader*'
			'*AST*'
			'*RefactoringEngine*'
			'*Installer*'
			'SLICE*'
			'*OB-*'
			'OmniBrowser*'
		).
	PackagesBeforeLastLoad ifNil: [ PackagesBeforeLastLoad := Set new ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 14:46'!
installRepository: aString for: packageName

	(MCWorkingCopy allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!ScriptLoader methodsFor: 'unused methods' stamp: 'sd 7/15/2006 22:43'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := FillInTheBlank request: 'New version designation:' initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:50'!
installer
	^ Smalltalk 
		at: #Installer
		ifAbsent: 
			[ self installingInstaller.
			Smalltalk at: #Installer ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:15'!
installingDefaultRepositoriesToPackages
	"self new installingDefaultRepositoriesToPackages"
	
	self packagesAndHome do: [:each |  self installRepository: each second for: each first].! !

!ScriptLoader methodsFor: 'utils' stamp: 'ab 5/11/2008 15:22'!
installingInstaller
	"self new installingInstaller"
	
	| mc  files fileToLoad version |
	mc := Smalltalk at: #MCHttpRepository ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Installer' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	fileToLoad := files detect: [ :aFile | aFile beginsWith:'Installer-sd.3' ] ifNone: [ nil ].
	version := mc versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version load.
	
	^ (Smalltalk at: #Installer)! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:53'!
installingRBEngine

	"| `@temps |
``@.BeforeStatements.
`f := ImporterFacade forVisualWorks.
`f inModel: `@m.
`f importingContext importMaximum.
`f importNameSpaceFromBinding: `@n.
``@.AfterStatements

->

| `@temps |
``@.BeforeStatements.
ImporterFacade importNameSpaceFromVWBinding: `@n inModel: `@m.
``@.AfterStatements"

	(self universalInstaller) universe install: 'Refactoring Engine'! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:51'!
installingUniverse
	self installer ss
		project: 'XMLSupport';
		install: 'XML-Parser'.
	self installer ss
		project: 'universes';
		install: 'Universes'! !

!ScriptLoader methodsFor: 'utils' stamp: 'stephane.ducasse 6/30/2008 14:47'!
loadLatestScriptloader
	"self new loadLatestScriptloader"
	
	| mc  files version |
	mc := Smalltalk at: #MCHttpRepository 
		ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Pharo' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	files isEmpty
		ifTrue: [^ self].
	version := mc versionFromFileNamed: files first.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version merge.
	! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 12/8/2005 21:18'!
loadOneAfterTheOther: aCollection merge: aBoolean
	| loader |
	(self newerVersionsIn: aCollection)
		do: [:fn |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]]
  	  	displayingProgress: 'Loading versions...'.
	

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:42'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles
		do: [ :name |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version load.
			]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'sd 3/16/2008 08:54'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self repository loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:41'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 4/4/2008 14:47'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logContents

	^ self logStream contents! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logStream

	LogStream ifNil: [LogStream := ReadWriteStream on: (String new: 1000)].
	^ LogStream! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:19'!
markPackagesBeforeNewCodeIsLoaded
	"use this method to keep a log of all the packages that were loaded before loading new code.
	this will help the system to perform a diff and know after what to publish."
	
	"self new markPackagesBeforeNewCodeIsLoaded"
	
	PackagesBeforeLastLoad := self currentVersionsToBeSaved! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'md 2/16/2006 16:43'!
mergePackagesNamed: names
	| vm  |
	repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

	vm _ MCVersionMerger new.
	names
		do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
		displayingProgress: 'Adding versions...'.

	[vm merge]
		on: MCMergeResolutionRequest do: [:request |
			request merger conflicts isEmpty
				ifTrue: [request resume: true]
				ifFalse: [request pass]]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/24/2008 17:03'!
methodsForNewVersion
	"Use me to generate the script and update method"
	"self new methodsForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 10/13/2005 21:44'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		MCWorkingCopy allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!ScriptLoader methodsFor: 'utils' stamp: 'sd 2/4/2008 16:09'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/29/2006 08:41'!
packagesAndHome

^ #(
('MonticelloConfigurations' 
'http://source.impara.de/mc')
('Balloon' 
'http://source.squeakfoundation.org/Balloon')
('Compression'
'http://source.squeakfoundation.org/Compression')
('Flash'
'http://source.squeakfoundation.org/Balloon')
('Graphics'
'http://source.squeakfoundation.org/Graphics')
('GraphicsTests' 
'http://source.squeakfoundation.org/Graphics')
('ToolBuilder-Kernel'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-MVC'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-Morphic'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-SUnit'
'http://squeaksource.com/ToolBuilder')
('TrueType'
'http://source.squeakfoundation.org/Balloon')
('PackageInfo'
'http://www.squeaksource.com/PackageInfo')
('SMBase'
'http://source.squeakfoundation.org/SqueakMap')
('SMLoader'
'http://source.squeakfoundation.org/SqueakMap')
('Network'
'http://source.squeakfoundation.org/network')
('NetworkTests'
'http://source.squeakfoundation.org/network')
('VersionNumber'
'http://source.squeakfoundation.org/SqueakMap')
('OB-Standard'
'http://source.wiresong.ca/ob/')
('OmniBrowser'
'http://source.wiresong.ca/ob/')
('Monticello'
'http://source.wiresong.ca/mc/')
)
! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:07'!
packagesNotToSavePatternNames: aCol 
	"to mark the patterns of the packages that will not be saved as part of the core distribution."
	"self new packagesNotToSavePatternNames: #(
			'*ScriptLoader*'
			'*AST*'
			'*RefactoringEngine*'
			'*Installer*'
			'SLICE*'
		)."
	
	packagesNotToSavePatternNames := aCol! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:32'!
removeAllRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"

	
	MCWorkingCopy allManagers do: [:each | 
		aColl
			do: [:location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!ScriptLoader methodsFor: 'accessing' stamp: 'NorbertHartl 6/13/2008 11:46'!
repository
	Repository ifNil: [ Repository := 
						MCHttpRepository new
							location:  'http://www.squeaksource.com/Pharo';
							user: '';
							password: ''].
	^ Repository! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'stephaneducasse 1/14/2006 12:46'!
resetToolSet

	ToolSet default: nil! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 5/16/2008 22:11'!
sapphireToPharoRepository
	"self new sapphireToPharoRepository"
	self removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/').
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/17/2008 10:09'!
saveDirtyPackageInWaitingFolderWith: aMessageString
	"self new saveDirtyPackageInWaitingFolderWith: 'MVC Cleaning step2'"
	 
	self currentDirtyPackages do: [:each |
		self saveInToReloadCachePackage: each with: aMessageString]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 20:57'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString

	self savePackage: aWorkingCopy in: self class defaultMCWaitingFolder with: aMessageString! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 08:39'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	"|sc|
	  sc := self new.
	  sc savePackage: (sc workingCopyFromPackageName: 'ScriptLoader') 
			in: MCCacheRepository default
			with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: 
			(aWorkingCopy 
					newVersionWithName: aWorkingCopy uniqueVersionName 
					message: aMessageString)
					
				"does not work since we may produce number that are wrong. 
				We should look in the ancestry"! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/12/2008 15:23'!
script100

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.105.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/12/2008 15:54'!
script101

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/15/2008 14:49'!
script102

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 14:50'!
script103

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.153.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 15:38'!
script104

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 15:53'!
script105

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/20/2008 22:02'!
script106

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-sd.71.mcz
CollectionsTests-md.34.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.52.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-md.9.mcz
PackageInfo-sd.7.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.7.mcz
System-sd.107.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.76.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/22/2008 21:19'!
script107

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.58.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.8.mcz
System-sd.108.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/24/2008 16:17'!
script108

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.42.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.109.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/28/2008 19:06'!
script109

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.73.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.9.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.156.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.110.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 09:52'!
script110

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.75.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.158.mcz
KernelTests-sd.56.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.112.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.79.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'md 5/10/2008 13:04'!
script111

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 14:37'!
script112

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false silently: true.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 18:20'!
script113

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.120.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.114.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.81.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/11/2008 14:02'!
script114

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.121.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-stephane.ducasse.15.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.
	
	self loadOneAfterTheOther: 	
			#('Monticello-stephane.ducasse.315.mcz') merge: false.
! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/17/2008 09:44'!
script115

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/17/2008 09:59'!
script116

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.116.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/21/2008 22:37'!
script117

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/24/2008 16:57'!
script118

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'lukas.renggli 5/27/2008 17:54'!
script119

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.161.mcz
KernelTests-stephane.ducasse.59.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/2/2008 22:27'!
script120

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.60.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/4/2008 20:46'!
script121

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.60.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/4/2008 22:32'!
script122

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'al 6/7/2008 16:59'!
script123
	| names composition trait |
	"First load some support code"
	self loadTogether: #('Traits-al.231.mcz') merge: false.
		
	"Flatten down and remove traits (avoid to reference traits that are being removed!!)"
	TPureBehavior flattenDownAllTraits.
	#(TCompilingBehavior TUpdateTraitsBehavior TAccessingTraitCompositionBehavior) do: [ :each |
		(Smalltalk at: each) removeFromSystem ].
	composition := #(TBasicCategorisingDescription TCompilingDescription TAccessingMethodDictDescription TTraitsCategorisingDescription TPrintingDescription TCommentDescription TFileInOutDescription TTestingDescription)
		inject: (Smalltalk at: #TCopyingDescription)
		into: [ :a :b | a + (Smalltalk at: b) ].
	trait := Trait named: #TClassAndTraitDescription
		uses: composition
		category: 'Traits-Kernel-Traits'.
	trait flattenDownAllTraits.
	Behavior subclass: #ClassDescription
		uses: trait
		instanceVariableNames: 'instanceVariables organization'
		classVariableNames: ''
		poolDictionaries: ''
		category: 'Kernel-Classes'.
	TraitBehavior subclass: #TraitDescription
		uses: trait + TComposingDescription + TTransformationCompatibility
		instanceVariableNames: 'organization'
		classVariableNames: ''
		poolDictionaries: ''
		category: 'Traits-Kernel'.
	composition allTraits do: [:each | each removeFromSystem ].
	composition := nil.
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect; garbageCollect.
	
	"now update as usual"
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-al.164.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/8/2008 22:28'!
script124

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.47.mcz
GraphicsTests-SergeStinckwich.11.mcz
Kernel-al.164.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/10/2008 18:57'!
script125

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-stephane.ducasse.165.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.121.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/10/2008 21:30'!
script126

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-stephane.ducasse.165.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.121.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/13/2008 09:43'!
script127

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-al.166.mcz
KernelTests-al.62.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 13:56'!
script128

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-al.167.mcz
KernelTests-stephane.ducasse.65.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-NorbertHartl.27.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 15:30'!
script129

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.13.mcz
Kernel-al.167.mcz
KernelTests-stephane.ducasse.65.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.126.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-NorbertHartl.27.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 17:10'!
script130

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.82.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.49.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.168.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.127.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.39.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.123.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.86.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/17/2008 10:32'!
script131

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.83.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.50.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.128.mcz
MorphicExtras-stephane.ducasse.37.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.40.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.42.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.124.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.87.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'al 6/18/2008 22:11'!
script132

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.84.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.50.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.128.mcz
MorphicExtras-stephane.ducasse.37.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.40.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.42.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-al.126.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.87.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/21/2008 20:57'!
script133

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.84.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.51.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.129.mcz
MorphicExtras-stephane.ducasse.38.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.127.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.88.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/24/2008 22:22'!
script134

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.130.mcz
MorphicExtras-stephane.ducasse.38.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.128.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/24/2008 23:01'!
script135

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-NorbertHartl.42.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-stephane.ducasse.40.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.130.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-NorbertHartl.26.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/25/2008 21:02'!
script136

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-stephane.ducasse.43.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-al.67.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-stephane.ducasse.40.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-AlexandreBergel.10.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.130.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-NorbertHartl.26.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'private' stamp: 'sd 3/24/2008 16:16'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: '' to: ''"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:53'!
universalInstaller
	(Smalltalk at: #UUniverse ifAbsent: [self installingUniverse]).
	^ self installer! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/13/2006 19:46'!
unloadFFI
	"ScriptLoader new unloadFFI"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := #('*FFI*'). 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].
	Smalltalk recreateSpecialObjectsArray! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 7/15/2006 20:39'!
unloadPackages
	"ScriptLoader new unloadPackages"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := self packagesToUnload. 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/16/2008 22:11'!
update10000
	"self new update10000"
	
	self sapphireToPharoRepository.
	Transcript show: 'Unload Speech' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Speech')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Speech*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10001
	"self new update10001"
	
	Transcript show: 'Unload StarSqueak' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'StarSqueak')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'StarSqueak*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10003
	"self new update10003"
	
	Transcript show: 'Unload Flash' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Flash')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Flash*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10004
	"self new update10004"
	
	Transcript show: 'Unload Movies' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Movies')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Movies*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10006
	"self new update10006"
	
	Transcript show: 'Unload Protocols' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'FlexibleVocabularies-Info')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'FlexibleVocabularies-Info*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/12/2008 15:28'!
update10007
	"self new update10007"

	self script100.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/12/2008 15:54'!
update10008
	"self new update10007"

	self script101.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/15/2008 18:03'!
update10009
	"self new update10009"

	self script102.
	self withUdpateLog: 'Added MCWorkingCopy printOn:'.
	self removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			'http://source.squeakfoundation.org/SqueakMap/'
			'http://source.squeakfoundation.org/network/'
			  'http://source.wiresong.ca/mc/'
			 'http://www.squeaksource.com/PackageInfo/'
			 'http://www.squeaksource.com/ToolBuilder/'
				 'http://squeaksource.com/ToolBuilder/'
			  'http://source.impara.de/mc/').
	MCRepositoryGroup instVarNamed: 'default' put: nil.  
	self addHomeRepositoryToAllPackages.
	self log: 'Scriptloader cleaning'.
	self log: 'MC repository cleaning'.
	self log: 'Adding new Sapphire repository'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.

	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/15/2008 22:49'!
update10010
	"self new update10010"

	self withUdpateLog: 'Remove release builder package: classes were moved in scriptloader'.
	(MCWorkingCopy forPackage: (MCPackage new name: 'ReleaseBuilder')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'ReleaseBuilder*'.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 14:50'!
update10011
	"self new update10011"

	self script103.
	self withUdpateLog: 'Fixing underscore of Service-base'.
	self log: 'Fixing underscore kernel'.
	self log: 'Fixing underscore VersionNumber'.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:14'!
update10012
	"self new update10012"

	self script104.
	self withUdpateLog: 'Fixing invisible in Date and DateAndTime'.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:32'!
update10013
	"self new update10013"

	self script104.
	self withUdpateLog: 'Fixing invisible in Kernel Chronology'.
	self log: 'enhancing FixUnderscores to fix also character lf'.
	self log: 'remove FFI organization'.
	SystemOrganization removeCategoriesMatching: 'FFI*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:54'!
update10014
	"self new update10014"

	self script105.
	self withUdpateLog: 'Fixing invisible in Files and Exceptions'.
	self log: 'Fixing assign in Files and Exceptions'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/20/2008 22:04'!
update10015
	"self new update10015"

	self script106.
	self withUdpateLog: 'Fixing invisible in Collection Graphics KernelTests Network Protocols PackageInfo Sounds System Tools VersionNumber'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/22/2008 21:10'!
update10016
	"self new update10016"

	self script107.
	self withUdpateLog: 'Fixing - into :=  in Collection Compiler KernelTests Mutilingual Monticello PackageInfo NetworkTests Tests Sound System ToolBuilder-SUnit ToolBuilder-Morphic Tools Traits'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/24/2008 16:22'!
update10017
	"self new update10017"

	self script108.
	self withUdpateLog: 'Utilities informuser:during: -> UIManager default informuser:during:'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/28/2008 11:21'!
update10018

	"self new update10018"
	self withUdpateLog: 'Deprecating Utilities>>informDuring:'.
	self script109.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/10/2008 09:55'!
update10019

	"self new update10019"
	self withUdpateLog: 'Remove HTML Fileout + printout Method'.
	self script110.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'md 5/10/2008 13:08'!
update10020

	"self new update10020"
	self withUdpateLog: 'changes from Reflectivity, remove Packagepanebrowser, faster transcript'.
	self script111.
	self flushCaches.
	Preferences setPreference: #showSharedFlaps toValue: false.
	FlapTab allInstances do: [:each | each delete].
	Flaps initializeFlapsQuads.
	Flaps initializeStandardFlaps.
	Preferences setPreference: #showSharedFlaps toValue: true.
	Preferences removePreference: #browserShowsPackagePane.
	Behavior removeSelector: #hash.
	Set rehashAllSets.! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/10/2008 14:38'!
update10021

	"self new update10020"
	self withUdpateLog: 'scriptloader load mc silently + TTF fonts
http://bugs.squeak.org/view.php?id=6089'.
	self script112.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/11/2008 12:15'!
update10022
	"self new update10022"
	
	| prefs |
	self withUpdateLog: 'Lexicon and Instance Browser were not really used. We will rebuild it if necessary. Remove instanceBrowser and Lexicon + faster doOneCycleNow '.
	
	prefs := (Preferences parameterAt: #HaloSpecs ) reject: [:each | each addHandleSelector = #addViewingHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addPoohHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addTileHandle:].
Preferences setParameter: #HaloSpecs to: prefs.

	self script113.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/11/2008 14:22'!
update10023

	"self new update10023"
	self script114.
	self withUpdateLog: 'remove Nebrasksa audiot chat + deprecated author in Utilities'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:07'!
update10024
	"self new update10024"
	
	self withUpdateLog: 'Fixing Sapphire -> Pharo Squeak source Server + CS Servers'.
	self sapphireToPharoRepository.
	Utilities resetServers.
	Utilities addUpdateServer: #('pharo Updates' #('pharo.gforge.inria.fr/')).
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:44'!
update10025
	"self new update10025"

	
	self withUpdateLog: 'Unload Nebraska '.
	self script115.
	(MCWorkingCopy forPackage: (MCPackage new name: 'Nebraska')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Nebraska*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:59'!
update10026
	"self new update10026"

	self withUpdateLog: 'Fixing Author FullName  '.
	self script116.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/21/2008 22:31'!
update10027

	"self new update10027"
	
	self withUpdateLog: 'Lexicon merge, Better tests for rectangle, findString fix '.
	self log: 'http://bugs.squeak.org/view.php?id=3574'.
	self log: 'Remove superswiki'.
	self script117.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/24/2008 16:58'!
update10028

	"self new update10028"
	
	self withUpdateLog: 'Fixing MC'.
	
	self script118.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'lukas.renggli 5/27/2008 17:54'!
update10029

	"self new update10029"
	self script119.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/2/2008 22:51'!
update10030

	"self new update10030"
	self script120.
	self withUpdateLog: 'Fixing Delay 
	 0006834: Delay class>>timeoutSemaphore:afterMSecs: doesn t.
Description 	The implementation for Delay class>>timeoutSemaphore:afterMSecs: doesn t even use its first parameter, so it can t do what it says it does.

This method should be deprecated or removed entirely.
Additional Information 	+ tests'.
	self log: 'Fixing Obsolete references'. 
	ServerDirectory resetServers.
	FileServices removeObsolete.
	PackageOrganizer default unregisterPackageNamed: 'FlexibleVocabularies'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/4/2008 20:47'!
update10031

	"self new update10031"
	self withUdpateLog: '1.0 / (FloatArray with: 2.0) answer unexpected result.
Bug is in FloatArray>>adaptToNumber:andSend: 
See : http://bugs.squeak.org/view.php?id=6782'.
	self log: 'fixing files left by tests'.
	self script121.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/4/2008 22:22'!
update10032

	"self new update10032"
	self withUpdateLog:	'Fixing Number parsing'.
	self log: 'Cleaning nebraska'.
	self script122.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'al 6/7/2008 17:04'!
update10033

	"self new update10033"
	self withUpdateLog:	'Simplifying Traits usage in kernel'.
	self log: 'Simplifying Traits usage in kernel'.
	self script123.
	self flushCaches.
	Smalltalk garbageCollect! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 6/8/2008 21:55'!
update10034

	"self new update10034"
	self  withUpdateLog: 'Fixing tests (serge stinckwich)'.
	self log: 'http://bugs.squeak.org/view.php?id=6936 
	#asHTMLColor is inaccurate for certain values.
     Attached fix resolves that, also gives 10x speed-up.'.
	self script124.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/10/2008 18:58'!
update10035

	"self new update10035"
	self  withUpdateLog: 'Merging MVC removal step one of Alain Plantec'.
	self script125.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/10/2008 21:31'!
update10036

	"self new update10036"
	self  withUpdateLog: 'Merging MVC removal step one of Alain Plantec (missing part)'.
	self script126.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/13/2008 09:44'!
update10037

	"self new update10037"
	self withUpdateLog: 'Fixes the following 7 tests:

testRootsOfTheWorld -- testremoved
testLocalMethodWithSameCodeInTrait -- removed duplicated method ClassDescription>>fileOutCategory:
testFinalizationOfEquals -- test fixed
testHash -- remove all assertions/tests that have hardcoded hash values:
	DateAndTimeEpochTest>>#testHash
	DateAndTimeLeapTest>>#testHash
	TimeTest>>#testHash
	TimespanTest>>#testHash'.
	
	self script127.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 13:49'!
update10038

	"self new update10038"
	self withUpdateLog: 'rootsOfTheWorld is back'.
	self log: 'Adding missing Class variables to TTCFonts + cleaning Scriptloader (norbert)'.
	self script128.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 15:31'!
update10039

	"self new update10039"
	self withUpdateLog: 'Nebraka category cleaning + graphics tests cleaning after'.
	self script129.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 17:13'!
update10040
	"self new update10040"

	self withUpdateLog: ' replace: ReadStream on: ``@object with: ``@object readStream'.
	self script130.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/17/2008 10:33'!
update10041
	"self new update10041"

	self withUpdateLog: 'MVC removal step 2'.
	self script131.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'al 6/18/2008 22:56'!
update10042
	"self new update10042"

	self withUpdateLog: 'Couple of changes to make more tests work plus fix of finalization logic:
- changed WeakRegistry to use WeakIdentityKeyDictionary (http://bugs.squeak.org/view.php?id=6347)
- FinalizerTest reverted to real test case
- added missing class variables to DigitalSigntureAlgorithm
- Fix issue #13: TraitsTests pollutes ProtoObject subclasses (Mantis 7090)
- make BitmapStreamTest clean up the file bitmapStreamTest.ref.extSeg'.

	self script132.
	"Migrate registry to use WeakIdentityKeyDictionary instead of WeakKeyDictionary"
	WeakRegistry allInstancesDo: [ :each |
		(each instVarNamed: 'valueDictionary')
			primitiveChangeClassTo: WeakIdentityKeyDictionary basicNew;
			rehash ].
	self flushCaches.! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/21/2008 20:57'!
update10043
	"self new update10043"

	self withUpdateLog: 'MVC cleaning step 3'.
	self script133.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/24/2008 22:22'!
update10044
	"self new update10044"

	self withUpdateLog: 'cleaning unimplemented calls'.
	self script134.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/24/2008 23:01'!
update10045
	"self new update10045"

	self withUpdateLog:'Some more cleaning made by Norbert'.
	self script135.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/25/2008 21:04'!
update10046
	"self new update10046"

	self withUpdateLog: 'KernelTests-Numbers -- Nan and hex tests broken'.
	self log: 'Collection methods #select: and #collect: have no test'.
	self log: 'MC fixes'.
	self log: 'Remove testAllMethodsWithSourceString'.
	self script136.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6718
	"self new updateFrom6718"
	"
	call 'TheWorldMenu removeObsolete' to cleanout obsolete ref.
	-----
	0002542: Morphic testing failure, Morph>>overlapsShadowFormbounds
	-----
	revert Decompiler>>#decompileBlock:
	-----
	ServiceAction>>perform:orSendTo: for romain
	----- Adding andreas packages
	"
	
	self script30.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6719
	"self new updateFrom6719"
	"
	0002135: Cmd-. don't work with various Mac Os X keyboard layout
	"
	
	self script31.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6720
	"self new updateFrom6720"
	"
	- Tools for traits fixes from adrian
	- underscore fixing
	- integer printing fixes + tests
	- 0002708: SharedQueue does not nil out unused slots when flushing
	- 0002154: Light-weight mutex implementation
	- tests from 0002688: aNumber = (aNumber + 0 i) answer false
	- Adds a test for the new Url class>>absoluteFromFileNameOrUrlString: 
	- Set new now uses new: 5
	- delete Undefined>>languagePrefs, broken code
	- tests for primesUpTo: and isPrime
	- turn on Deprecation warnings
	- Move Heap examples to HeapTest (and call them in a test)
	- remove double entry for TestRunner from open Menu
	- clean a bit old unneded tests
	- remove empty class and method categories
	- fix a call to deprecated #bringFlapTabsToFront
	- Change Set:		fixPntrFinder-bf
	  Author:			Bert Freudenberg
	  The PointerFinder (aka 'chase pointers' menu item) did not find references in   
	  CompiledMethods, which are the only objects in the system that answer false to isPointers  
	  but still *do* have pointers"
	
	self script32.
	self flushCaches.
	
	Preferences setPreference: #showDeprecationWarnings toValue: true.
	TheWorldMenu unregisterOpenCommand: 'SUnit Test Runner'.
	Smalltalk removeEmptyMessageCategories.
	SystemOrganization removeEmptyCategories.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 18:32'!
waitingFolderMCZFiles

	^ self class defaultMCWaitingFolder allFileNames reject:[:each | each =  '.DS_Store']! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:46'!
withUdpateLog: aString
	
	"self deprecated"
	self flag: #toRemove.
	self withUpdateLog: aString! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:45'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'unused methods' stamp: 'sd 3/24/2008 17:31'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/8/2006 18:20'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!ScriptLoader methodsFor: 'public' stamp: 'md 8/2/2006 18:06'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'.
	self generateCS: extensionAndNumber fromUpdate: updateNumber on: str.
	str close.! !

TestCase subclass: #ScriptLoaderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testAllCurrentPackagesContainScriptLoader
	"self debug: #testAllCurrentPackagesContainScriptLoader"
	

	| p |
	p := ScriptLoader new allCurrentPackages collect: [:each | each package name].
	self assert: (p anySatisfy: [ :pa | 'ScriptLoader*' match: pa])! !

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testAllCurrentVersionsContainsScriptLoader
	"self debug: #testAllCurrentVersionsContainsScriptLoader"
	
	| p |
	p := ScriptLoader new allCurrentVersions.
	self assert: (p anySatisfy: [ :pa | 'ScriptLoader*'  match: pa])! !

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testCurrentPackagesDoesNotContainScriptLoader
	"self debug: #testCurrentPackagesDoesNotContainScriptLoader"
	

	| p |
	p := ScriptLoader new currentPackages collect: [:each | each package name].
	self deny: (p anySatisfy: [ :pa | 'ScriptLoader*'  match: pa])! !

!MCRepositoryGroup methodsFor: '*ScriptLoader' stamp: 'sd 3/15/2008 17:33'!
removeHTTPRepositoryLocationNamed: aRepositoryString
	
	| httpRepo others |
	httpRepo := repositories select: [:each | each isKindOf: MCHttpRepository]. 
	others := repositories reject: [:each | each isKindOf: MCHttpRepository].
	repositories := others, (httpRepo reject: [:each | each locationWithTrailingSlash = aRepositoryString]).
	self changed: #repositories! !
